---
id: 65646ab6bced52360f44670f
title: Step 5
challengeType: 20
dashedName: step-5
---

# --description--

Now declare a variable named `all_characters` and assign it the result of concatenating your existing variables.

# --hints--

You should declare a variable named `all_characters`.

```js
({ test: () => assert(__userGlobals.has("all_characters")) })
```

You should concatenate `letters`, `digits`, and `symbols` and assign the result to your `all_characters` variable.

```js
({ test: () => assert(runPython(`
    import string
    from itertools import permutations
    perms = permutations([string.ascii_letters, string.digits, string.punctuation])
    any("".join(perm) == all_characters for perm in perms)
  `))
})
```

# --seed--

## --seed-contents--

```py
import string


# Define the possible characters for the password
letters = string.ascii_letters
digits = string.digits
symbols = string.punctuation
--fcc-editable-region--

--fcc-editable-region--
```
